<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/background_white"
    android:paddingLeft="20dp"
    android:paddingTop="16dp"
    android:paddingRight="20dp"
    android:paddingBottom="16dp">

    <com.gh.gamecenter.feature.view.DownloadButton
        android:id="@+id/downloadBtn"
        android:layout_width="56dp"
        android:layout_height="28dp"
        app:download_button_show_progress="false"
        app:download_button_text_size="12sp"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/versionTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@color/text_subtitleDesc"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="@id/downloadBtn"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="@id/downloadBtn"
        tools:text="版本3.7.1" />

    <TextView
        android:id="@+id/releaseDateTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:textColor="@color/text_subtitleDesc"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="@id/downloadBtn"
        app:layout_constraintLeft_toRightOf="@id/versionTv"
        app:layout_constraintTop_toTopOf="@id/downloadBtn"
        tools:text="2020.03.18" />

    <com.gh.gamecenter.common.view.ExpandTextView
        android:id="@+id/updateDescTv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="11dp"
        android:includeFontPadding="false"
        android:lineSpacingExtra="4dp"
        android:maxLines="3"
        android:textColor="@color/text_title"
        android:textSize="13sp"
        app:endText="...   "
        app:expandText="展开"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/downloadBtn"
        app:useGradientAlphaEndText="true" />

</androidx.constraintlayout.widget.ConstraintLayout>
